|  | Home · All Classes · Modules

# QHoverEvent Class Reference
[QtGui module]

The QHoverEvent class contains parameters that describe a mouse event. More...

Inherits QEvent.

### Methods

- __init__ (self, QEvent.Type type, QPoint pos, QPoint oldPos)
- __init__ (self, QHoverEvent)
- QPoint oldPos (self)
- QPoint pos (self)

## Detailed Description

The QHoverEvent class contains parameters that describe a mouse event.

Mouse events occur when a mouse cursor is moved into, out of, or within a widget, and if the widget has the Qt.WA_Hover attribute.

The function pos() gives the current cursor position, while oldPos() gives the old mouse position.

There are a few similarities between the events QEvent.HoverEnter and QEvent.HoverLeave, and the events QEvent.Enter and QEvent.Leave. However, they are slightly different because we do an update() in the event handler of HoverEnter and HoverLeave.

QEvent.HoverMove is also slightly different from QEvent.MouseMove. Let us consider a top-level window A containing a child B which in turn contains a child C (all with mouse tracking enabled):

Now, if you move the cursor from the top to the bottom in the middle of A, you will get the following QEvent.MouseMove events:

1. A.MouseMove
2. B.MouseMove
3. C.MouseMove

You will get the same events for QEvent.HoverMove, except that the event always propagates to the top-level regardless whether the event is accepted or not. It will only stop propagating with the Qt.WA_NoMousePropagation attribute.

In this case the events will occur in the following way:

1. A.HoverMove
2. A.HoverMove, B.HoverMove
3. A.HoverMove, B.HoverMove, C.HoverMove

## Method Documentation

### QHoverEvent.__init__ (self, QEvent.Type type, QPoint pos, QPoint oldPos)

Constructs a hover event object.

The type parameter must be QEvent.HoverEnter, QEvent.HoverLeave, or QEvent.HoverMove.

The pos is the current mouse cursor's position relative to the receiving widget, while oldPos is the previous mouse cursor's position relative to the receiving widget.

### QHoverEvent.__init__ (self, QHoverEvent)

### QPoint QHoverEvent.oldPos (self)

Returns the previous position of the mouse cursor, relative to the widget that received the event. If there is no previous position, oldPos() will return the same position as pos().

On QEvent.HoverEnter events, this position will always be QPoint(-1, -1).

See also pos().

### QPoint QHoverEvent.pos (self)

Returns the position of the mouse cursor, relative to the widget that received the event.

On QEvent.HoverLeave events, this position will always be QPoint(-1, -1).

See also oldPos().